あるSEのつぶやき・改

IT・システム開発に関することをつぶやいています。

Fix)Unable to resolve "react-native-gesture-handler" from "node_modules/@react-navigation/native/src/Scrollables.js"


React Native + Expo を実行していると以下のようなエラーが表示されました。

Unable to resolve "react-native-gesture-handler" from "node_modules/@react-navigation/native/src/Scrollables.js"

解決策は、react-native-gesture-handler をインストールすることです。

但し、インストール方法は注意が必要で以下のようにします。

$ expo install react-native-gesture-handler

これでエラーが表示されなくなりました。

同じようなエラーに以下のようなものがあります。

Unable to resolve "react-native-reanimated" from "node_modules/react-navigation-drawer/lib/module/views/Drawer.js"

これも、react-native-reanimated を以下のようにインストールすることでエラーが表示されなくなります。

$ expo install react-native-reanimated